KIEBookmarkImporter Class Reference

`#include <kbookmarkimporter_ie.h>`

Inherits QObject.

## Signals

void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
void | newSeparator ()
void | endFolder ()

## Public Member Functions

| KIEBookmarkImporter (const QString &fileName)
void | parseIEBookmarks ()

## Static Public Member Functions

static QString | IEBookmarksDir ()

## Protected Member Functions

void | parseIEBookmarks_dir (QString dirname, QString name=QString::null)
void | parseIEBookmarks_url_file (QString filename, QString name)

## Protected Attributes

QString | m_fileName

## Detailed Description

A class for importing IE bookmarks.

Deprecated:

Definition at line 36 of file kbookmarkimporter_ie.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter_ie.h
- kbookmarkimporter_ie.cc

KDE Home | KDE Accessibility Home | Description of Access Keys